﻿Module Module1

  Const ACCURACY = 0.0000000000001

  Sub Main()
    Dim y, guess As Double
    Dim input As String

    Dim rnd As New Random()

    Console.Write("Enter a non-negative number: ")
    input = Console.ReadLine()
    Do While Double.TryParse(input, y) = False Or y < 0
      Console.WriteLine("Invalid value. Enter a non-negative number: ")
      input = Console.ReadLine()
    Loop
    guess = rnd.Next(1, y)    'Make a random first guess
                              'between 1 and given value

    Do While Math.Abs(guess * guess - y) > ACCURACY   'is it "close enough"?
      guess = (guess + y / guess) / 2                 'No, create a new "guess"!
    Loop
    Console.Write(guess)

    Console.ReadKey()
  End Sub

End Module
