﻿Module Module1

  Function get_consumption() As Integer
    Dim kwh As Integer
    Dim input As String

    Console.Write("Enter kWh consumed: ")
    input = Console.ReadLine()
    Do While Int32.TryParse(input, kwh) = False Or kwh < 0
      Console.WriteLine("Error: Invalid number!")
      Console.Write("Enter a non-negative number: ")
      input = Console.ReadLine()
    Loop
    Return kwh
  End Function

  Function find_amount(kwh As Integer) As Double
    Dim amount As Double

    If kwh <= 400 Then
      amount = kwh * 0.08
    ElseIf kwh <= 1500 Then
      amount = 400 * 0.08 + (kwh - 400) * 0.22
    ElseIf kwh <= 3000 Then
      amount = 400 * 0.08 + 1100 * 0.22 + (kwh - 1500) * 0.35
    Else
      amount = 400 * 0.08 + 1100 * 0.22 + 1500 * 0.35 + (kwh - 3000) * 0.5
    End If

    amount += 0.26 * amount
    Return amount
  End Function

  Sub Main()
    Dim kwh As Integer
    Dim answer As String

    Do
      kwh = get_consumption()
      Console.WriteLine("You need to pay: " & find_amount(kwh))

      Console.WriteLine("Would you like to repeat?")
      answer = Console.ReadLine()
    Loop While answer.ToUpper() = "YES"
  End Sub

End Module
