﻿Module Module1

  Const EVENTS = 20
  Const COUNTRIES = 10

  Sub Main()
    Dim j, i, left, right, middle, index_position As Integer
    Dim found As Boolean
    Dim needle As String

    Dim country_names(COUNTRIES - 1) As String
    Dim event_descriptions(EVENTS - 1, COUNTRIES - 1) As String
    For j = 0 To COUNTRIES - 1
      Console.Write("Enter Country No. " & (j + 1) & ": ")
      country_names(j) = Console.ReadLine()
      For i = 0 To EVENTS - 1
        Console.Write("Enter description For event No. " & (i + 1) & ": ")
        event_descriptions(i, j) = Console.ReadLine()
      Next
    Next

    Console.Write("Enter a country to search: ")
    needle = Console.ReadLine().ToUpper()

    index_position = -1
    left = 0
    right = EVENTS - 1
    found = False
    Do While left <= right And found = False
      middle = (left + right) \ 2

      If country_names(middle).ToUpper().CompareTo(needle) > 0 Then
        right = middle - 1
      ElseIf country_names(middle).ToUpper().CompareTo(needle) < 0 Then
        left = middle + 1
      Else
        found = True
        index_position = middle
      End If
    Loop

    If found = False Then
      Console.WriteLine("No country found!")
    Else
      For i = 0 To EVENTS - 1
        Console.WriteLine(event_descriptions(i, index_position))
      Next
    End If

    Console.ReadKey()
  End Sub

End Module
